---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    description: "Camel route using CDI in a standalone Java Container using HTTP\
      \ client to call remote camel-jetty quickstart"
    fabric8.cdi-camel-http/summary: "Camel route using CDI in a standalone Java Container\
      \ using HTTP client to call remote camel-jetty quickstart"
    fabric8.cdi-camel-http/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "cdi-camel-http"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      servicepath: "/camel/hello"
      fabric8.io/iconUrl: "img/icons/camel.svg"
      prometheus.io/scrape: "true"
      prometheus.io/port: "9779"
    labels:
      project: "cdi-camel-http"
      provider: "fabric8"
      version: "2.2.112"
      group: "quickstarts"
    name: "cdi-camel-http"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9779
      targetPort: 9779
    selector:
      project: "cdi-camel-http"
      provider: "fabric8"
      group: "quickstarts"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/iconUrl: "img/icons/camel.svg"
      fabric8.io/git-branch: "release-v2.2.112"
      fabric8.io/git-commit: "e720dbc5108b81c3d00537c27542566b7b58cc62"
      fabric8.io/build-id: "1"
    labels:
      project: "cdi-camel-http"
      provider: "fabric8"
      version: "2.2.112"
      group: "quickstarts"
    name: "cdi-camel-http"
  spec:
    replicas: 1
    selector:
      project: "cdi-camel-http"
      provider: "fabric8"
      version: "2.2.112"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "cdi-camel-http"
          provider: "fabric8"
          version: "2.2.112"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/cdi-camel-http:2.2.112"
          name: "cdi-camel-http"
          ports:
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
